/*
tstlock.c Version 0.1.0  Hash test lock on database
Copyright (C) 2003  dondalah@ripco.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

	Free Software Foundation, Inc.
	59 Temple Place - Suite 330
	Boston, MA  02111-1307, USA.
*/

/* Usage: tstlock filename */

#include <bthash.h>

void putstx(char *pgm)
   {
   fprintf(stderr,"Usage %s filename\n", pgm);
   exit(1);
   } /* putstx */

int main(int argc, char **argv)
   {
   int opnerr;
   int rslt;
   hashfmt *hshhdr;
   char dbname[256];
   if (argc != 2) putstx(*argv);
   strcpy(dbname,*(argv+1));

   printf("tstlock: before open\n");
   hshhdr = (hashfmt *) hopen(dbname,UPDT,&opnerr);
   if (hshhdr == NULL)
      {
      fprintf(stderr,"tstlock: open "
         "error on open %d\n", opnerr);
      exit(1);
      } /* open error */

   printf("tstlock: %s opened "
      "successfully\n", hshhdr->dbname);
   rslt = hclose(hshhdr);
   return(0);
   } /* main */
